function [h,idxele,idxazi]=getHRTF(azi,ele,path,fs)

azi=mod(azi,360);

azimuths = [0:5:355];
elevations = [-60, -30, -15, 0, 15, 30, 60];

[errele,idxele]=min(abs(elevations-ele));
[errazi,idxazi]=min(abs(azimuths-azi));

azistr=num2str(azimuths(idxazi));
elestr=num2str(elevations(idxele));

[h,filefs]=wavread([path 'hse' elestr 'a' azistr '.wav']);
h=h(14:end,:);

if fs ~= filefs
    h=resample(h,fs/gcd(fs,filefs),filefs/gcd(fs,filefs));
end