colrs{1} = 'k-';
colrs{2} = 'k--';
colrs{3} = 'k-';
colrs{4} = 'k--';
colrs{5} = 'k';
colrs{6} = 'k';
colrs{7} = 'k';
colrs{8} = 'k';
widths = [2 2 1 1 1 1 1 1];

figure(1);

angledeg = 0:360;
angle = angledeg * pi / 180;

% plot right pointing respones
legendstr = {'W','X','Y'};
resp={1,abs(cos(angle)),abs(sin(angle))};
for i = 1:3,
  rsp = resp{i};
  x = cos(angle).*abs(rsp);
  y = sin(angle).*abs(rsp);
  plot(x,y,colrs{i},'linewidth',widths(i));
  hold on
end
hold off

axis([-1.1 1.1 -1.1 1.1])
hold on
x = cos(angle);
y = sin(angle);
h=plot(x,y,'k:','linewidth',0.80);
plot(.75.*x,.75.*y,'k:','linewidth',0.80);
plot(.5.*x,.5.*y,'k:','linewidth',0.80);
plot(.25.*x,.25.*y,'k:','linewidth',0.80);
plot([0 0],[-2 2],'k:','linewidth',0.80);
plot([-2 2],[0 0],'k:','linewidth',0.80);
plot([1 1],[-2 2],'k:','linewidth',0.80);
plot([-1 -1],[-2 2],'k:','linewidth',0.80);
plot([-2 2],[1 1],'k:','linewidth',0.80);
plot([-2 2],[-1 -1],'k:','linewidth',0.80);
g=get(h,'Parent');
hold off
axis square
set(g,'XTickLabel',[])
set(g,'YTickLabel',[])
legend(legendstr, 'Location', 'NorthEastOutside')
% title('B-Format directional responses');

text(0.9,0.1,'+')
text(-0.9,0.1,'-')
text(0.1,0.9,'+')
text(0.1,-0.9,'-')

set(g,'Position',[0.15,0.15,0.5,0.5])

if savefigs == 1
  print -depsc 'bformat.eps'
end
