figure(2)

t=-5:1/96:30;
idx=round(5.3*96)+(1:length(t));
bf=bfrir(idx);
we=wenv(idx);

subplot(211)
h=plot(t,we,'k');
hp=get(h,'Parent');
pos=get(hp,'Position');
pos(3)=0.5;
set(hp,'Position',pos);
axis tight; ax=axis(); ax(4)=0.5*ax(4); axis(ax);
set(hp,'YTick',[]);
xlabel('time [ms]');
ylabel('amplitude');
legend('envelope of w(n)');
hold on, plot([(zidx/96-10.3),(zidx/96-10.3)],[-1 1],'k:');

subplot(212)
h=plot(t,bf,'k');
hp=get(h,'Parent');
pos=get(hp,'Position');
pos(3)=0.5;
set(hp,'Position',pos);
axis tight
set(hp,'YTick',[]);
xlabel('time [ms]');
ylabel('amplitude');
legend('w(n)');
hold on, plot([(zidx/96-10.3),(zidx/96-10.3)],[-1 1],'k:');

if fsave == 1
  print -depsc 'directsound_sep.eps'
end