function c=vert2cart(v)
% function c=vert2cart(v)
%
% vertical polar to cartesian coordinates
%
% v = [r azimuth elevation]
% c = [x y z]


r=v(1);
a=v(2)/180*pi;
e=v(3)/180*pi;

x=r*sin(a)*cos(e);
y=r*cos(a)*cos(e);
z=r*sin(e);

c=[x,y,z];