f=[1419,2836,14173,28346];

ang=0:0.05:2*pi+0.05;
Y=sin(ang);
W=ones(size(Y));
dboffset=60;
w = 1-v;

figure(9)

styles={'k','k','k--','k-.'};

i=length(f)
polar(ang+pi/2,max(0,20*log10(abs(HL(f(i))*(v(f(i))*W + w(f(i))*Y)))+dboffset),styles{i});
hold on
for i=length(f)-1:-1:1
    h=polar(ang+pi/2,max(0,20*log10(abs(HL(f(i))*(v(f(i))*W + w(f(i))*Y)))+dboffset),styles{i});
    if i~=2, set(h,'lineWidth',1.5); end
end

legend('10kHz','5kHz','1kHz','500Hz',-1);

hp=get(h,'Parent');
dhandles = findall(gcf, 'Type', 'text', 'horizontalalignment','left','Parent',hp);
for i = 1:length(dhandles)
  db = str2double( get(dhandles(i), 'String') );
  if ~isnan(db)
    db=db-dboffset;
    set(dhandles(i),'String',num2str(db));
  end
end

if fsave == 1, print -depsc 'lineardecoding.eps'; end