
figure(10)
% make plot of real BRIR
y=h441(400:3400,:)*1e5;
x=((1:length(y))-62)/44.1;
[h1,h2]=zoomplot(x,y,1050,1200,[0.2,0.2,0.3,0.17],'time [ms]','amplitude','Measured BRIR','k',[0.13 0.15 0.5 0.45],0);
set(h1(1),'lineStyle',':');
set(h2(1),'lineStyle',':');
legend(h1,'left channel','right channel',1);

if fsave == 1
  print -depsc 'waveformmeas.eps'
end

figure(110)
% make plot of generated BRIR
y=brir(400:3400,:)*1e5;
x=((1:length(y))-62)/44.1;
[h1,h2]=zoomplot(x,y,1050,1200,[0.2,0.41,0.3,0.17],'time [ms]','amplitude','Generated BRIR','k',[0.13 0.15 0.5 0.45],0);
set(h1(1),'lineStyle',':');
set(h2(1),'lineStyle',':');
legend(h1,'left channel','right channel',4);

if fsave == 1
  print -depsc 'waveformgen.eps'
end

return

figure(3)
% make plot of real BRIR
y=h441(400:3400,:);
x=((1:length(y))-62)/44.1;
zoomplot(x,y,340,440,[0.3,0.2,0.5,0.3],'time [ms]','Measured BRIR');

figure(4)
% make plot of generated BRIR
y=brir(400:3400,:);
x=((1:length(y))-62)/44.1;
zoomplot(x,y,340,440,[0.3,0.6,0.5,0.3],'time [ms]','Generated BRIR');

